Click here for lightsabers
  • Home
  • Help
  • Login
  • Register
Pages: 1 ... 7 8 [9]   Go Down
Author Topic: WINDOWS: Ultrasabers Launcher with Diamond Controller UPDATED 01-11-2018  (Read 30288 times)
Raider
Knight Apprentice
*

Force Alignment: -10
Posts: 34



« Reply #120 on: February 05, 2018, 03:35:42 PM »

Hi I feel like A  moron 1st i cant find the update
2 im not getting at all what i am suppose to do to insall the update if anyone could help that would be great

Thank you
Logged

Dark War Glaive  Diamond sound. Dark violet
Dark Sentinel obsidian lite violet

Wich list  emporors hand,

Shodan Shotokan And Ryu Kyu Kobudo

Dark side points

Racona Nova
Knight of the Obsidian Order
Moderator
Knight Commander
*****

Force Alignment: 970
Posts: 4015


There is no good or evil....there's only power!


« Reply #121 on: February 06, 2018, 10:28:15 AM »

In your Windows Start Menu, you should find the UltraSabers folder with three shortcuts. Right-click on "Maintenance Tool", choose "Run as administrator" and then follow the on-screen prompts. That should update your Launcher to the latest version.
Logged


Sig by Master Nero

Phantasm v3 LE (Obs v3) - AB w/ FoC AS---Manticore (Obs v3) - BR w/ FoC AS (QD)---Archon v2.1 (Obs v3) - RGBW Emerald

Son_Of_A_Sith
Knight Ensign
*

Force Alignment: -75
Posts: 191


I AM THE BALANCE


« Reply #122 on: February 08, 2018, 08:58:50 AM »

So are people still having trouble with obsidian v4 and Windows 10?
Logged

Try not!...do, or do not.. there is no try.

MPrieto73
Knight Lance Corporal
*

Force Alignment: 8
Posts: 41



« Reply #123 on: February 22, 2018, 08:40:29 PM »

yes I am... Im running the launcher under windows compatibility 8.1. I'm running the maintenance tool under windows administrator.  I get the follow message "Could not download archive: https://ultrasabers.rsx.ro/software/windows/packages/com.ultrasabers.launcher/2.45Application.7z: Connection closed"
Logged

7/28/17 Electrum Wind Diamond
7/29/17 The Guardian Emerald
8/24/17 Dark Liberator V3 Diamond
8/24/17 Manticore Diamond
8/24/17 Dominix V2 Stunt

RSX Engineering
Knight Officer
*

Force Alignment: 47
Posts: 114



WWW
« Reply #124 on: February 26, 2018, 02:38:48 AM »

yes I am... Im running the launcher under windows compatibility 8.1. I'm running the maintenance tool under windows administrator.  I get the follow message "Could not download archive: https://ultrasabers.rsx.ro/software/windows/packages/com.ultrasabers.launcher/2.45Application.7z: Connection closed"

Usually, this happens due to a Internet connection time-out. In case you can't update the Launcher using the Maintenanece tool, you can uninstall the current version from your computer, go to the top of this thread and download the 2.45 offline installer.
Logged

Neonblue1989
Knight Lance Corporal
*

Force Alignment: 14
Posts: 54



WWW
« Reply #125 on: April 24, 2018, 06:53:00 AM »

I've been messing around with the software now for a few days, love how custom I can make the blade and sounds work together. I do have a few things I would like to give feedback on.

1. I would like to see a copy and paste feature for the blade colors and AV switch. (Make a color string and duplicate it with ease.)
2. It seems after so many endpoints added it will curupt my save and I would have to redo my whole font. (Is their a limit? If so maybe a limit counter would be nice to now when you are about to reach max.)

Other then those two options being added, the software is awesome. Thanks for such a great product.
Logged



My Saber's:
Consular (Diamond)
Dark Initiate LE v4 with Obsidian V4 (Emerald) Guardian Blue
Quick Release Coupler with Vents (Processing)
Dark Initiate LE v4 with Obsidian V4 (Emerald) Blazing Red

Sound Font Collection

Obese Wan Kenobese
Knight Commander
*

Force Alignment: 316
Posts: 1162


Fretful Instigator of the Prismatic Order


« Reply #126 on: June 10, 2018, 04:50:43 PM »

I'm running Windows7. I have the old launcher for Obsidian4. Should I connect the saber and run the installer? Update the existing launcher? Install first before connecting the saber or with the saber plugged in? Will this work with Win7? Did the April 2017 update fix the sign problem?
Logged

Selfish passion is unquenching.
What strength have you when you are a slave to your passions?
What power without strength of character?
To self centered rage, you will be chained.
The dark side is no victory.

The long path to peace is through balanced emotions.
The first step to gaining knowledge is recognizing your own ignorance.
Serenity is patient, not passionate satisfaction.
Find harmony by understanding chaos.
Become one with the force, which will never die.

Racona Nova
Knight of the Obsidian Order
Moderator
Knight Commander
*****

Force Alignment: 970
Posts: 4015


There is no good or evil....there's only power!


« Reply #127 on: June 11, 2018, 10:47:44 AM »

Yes, it runs under Win 7 and yes, the signature problem has been solved. I'm running it under Win 10 without problems.

Update procedure:
Uninstall the current launcher. Download the latest installer, run it as admin, then run the Maintenance Tool (also as admin). If there's something to update, do it. If not, power your saber, connect it to the PC (preferably to a USB 2.0 port) and let the driver install. It's a simple Windows HID driver. Then run the software. Again, do it as admin and only after the driver has been installed.
Logged


Sig by Master Nero

Phantasm v3 LE (Obs v3) - AB w/ FoC AS---Manticore (Obs v3) - BR w/ FoC AS (QD)---Archon v2.1 (Obs v3) - RGBW Emerald

R5D4
Knight Aspirant
*

Force Alignment: 20
Posts: 13


« Reply #128 on: October 11, 2018, 09:20:00 AM »

Hi,
I'm certain you guys are fully across this, but just in case...
Speaking as a long time Mac user myself, it seems you guys are the only saber smiths whose products can be controlled from the Mac platform. The UltraSabers_Launcher software works great on my iMac and I love it. But I notice that it's only 32 bit.
Apparently Apple have announced that the recently released MacOS Mojave is the last OS that will support 32 bit apps. The next OS, expected autumn 2019, will be 64 bit only.
So really I just wanted to say - in case you were thinking of dropping Mac compatibility from future versions of Launcher - please please please keep it 64 bit Mac compatible and keep us Mac users able to enjoy your great software!
Hope you don't mind my mentioning it.
 Smiley
Logged

Racona Nova
Knight of the Obsidian Order
Moderator
Knight Commander
*****

Force Alignment: 970
Posts: 4015


There is no good or evil....there's only power!


« Reply #129 on: October 11, 2018, 10:38:22 AM »

Good information! I think US will inform RSX of this change so that they can take care of that and release an update or a separate 64-bit version of the Launcher - if RSX doesn't already know as this is a drastic change for the Mac users which they have to take into account.
Logged


Sig by Master Nero

Phantasm v3 LE (Obs v3) - AB w/ FoC AS---Manticore (Obs v3) - BR w/ FoC AS (QD)---Archon v2.1 (Obs v3) - RGBW Emerald

Pages: 1 ... 7 8 [9]   Go Up
Send this topic | Print
Jump to: